Bug 1301765 - koji-hub dies with "ImportError: No module named simplejson"
koji-hub dies with "ImportError: No module named simplejson"
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: koji (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-25 18:20 EST by John Florian
Modified: 2017-12-18 03:18 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 06:06:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Florian 2016-01-25 18:20:10 EST
Description of problem:
It appears that koji-hub-1.10.1-1.fc23.noarch is missing a Requires on python-simplejson.  From my client I said hi on a new setup with "koji moshimoshi" and the httpd error_log reported:

[wsgi:error] [pid 19944] 2016-01-25 18:11:27,667 [ERROR] m=None u=None p=19944 r=?:? koji: Traceback (most recent call last):
[wsgi:error] [pid 19944]   File "/usr/share/koji-hub/kojixmlrpc.py", line 685, in server_setup
[wsgi:error] [pid 19944]     load_scripts(environ)
[wsgi:error] [pid 19944]   File "/usr/share/koji-hub/kojixmlrpc.py", line 660, in load_scripts
[wsgi:error] [pid 19944]     import kojihub
[wsgi:error] [pid 19944]   File "/usr/share/koji-hub/kojihub.py", line 47, in <module>
[wsgi:error] [pid 19944]     import simplejson as json
[wsgi:error] [pid 19944] ImportError: No module named simplejson
[wsgi:error] [pid 19944] 


I installed python-simplejson on the hub and the problem immediately went away.
Comment 1 Fedora Admin XMLRPC Client 2016-03-10 09:45:27 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Petr Šabata 2016-05-25 13:50:25 EDT
Just ran into the same issue on F24.
Just add the runtime dependency on `python-simplejson' to the hub subpackage, please.

koji-hub-1.10.1-8.fc24.noarch
Comment 3 Mike McLean 2016-05-25 14:23:08 EDT
Dennis - Upstream, I'm probably going to switch to using python's json module where available, but until then, maybe just add the requires in the fedora spec.
Comment 4 Fedora End Of Life 2016-11-24 10:11:51 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Petr Šabata 2016-11-24 11:14:43 EST
Still broken (f23, f24, f25, rawhide).
Comment 6 Fedora End Of Life 2017-07-25 15:51:06 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 7 Petr Šabata 2017-07-25 18:25:58 EDT
Still broken (f24, f25, f26, rawhide).
Comment 8 Fedora End Of Life 2017-11-16 14:33:10 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 9 Mike McLean 2017-12-01 13:10:26 EST
Current koji only import simplejson when the built in python json module is not present. This has been the case since koji 1.11.0.

see git commit a22054395bd0e82376ff874899ba35c47ad4a379

You wrote this was still broken well after the 1.11 release. What did you mean?
Comment 10 John Florian 2017-12-01 16:14:54 EST
Where do you get "well after 1.11"?  I reported it against 1.10 in comment 1, but that's also dated 2016 and 1.10 which seems old for around then though I don't have a release time line handy.  Though bodhi says 1.10 was the last for F23 so maybe I was just running past EoL.  I'm guessing you're going by the date, but maybe I've missed something.

Either way, that commit does look like it would deal with the issue.  Perhaps Petr has some better input.  I moved my Koji to EL7 and I'm pretty sure I added something to my Puppet manifests to ensure a json module was present before attempting the Koji install.
Comment 11 Mike McLean 2017-12-05 10:47:25 EST
(In reply to John Florian from comment #10)
> Where do you get "well after 1.11"?

Sorry, that wasn't directed at you, John.

Petr wrote "Still broken (f24, f25, f26, rawhide)" on 2017-07-25, which was well after 1.11.
Comment 12 John Florian 2017-12-05 12:09:49 EST
(In reply to Mike McLean from comment #11)
> (In reply to John Florian from comment #10)
> > Where do you get "well after 1.11"?
> 
> Sorry, that wasn't directed at you, John.
> 
> Petr wrote "Still broken (f24, f25, f26, rawhide)" on 2017-07-25, which was
> well after 1.11.

Ha, I had that response written and then noticed Petr's comment and wondered if that's what you meant.  I sent it anyway, because I was afraid I missed something -- I've not had a great track record lately.
Comment 13 Fedora End Of Life 2017-12-12 06:06:50 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 14 Petr Šabata 2017-12-18 03:18:03 EST
I don't remember what version I had back then but I installed a fresh system and hit the issue again.  All the listed releases had the same (affected) version of koji -- whatever it was; I should have included that.

If I encounter this again someday, I'll re-open the ticket.

Note You need to log in before you can comment on or make changes to this bug.